Subject: Re: [PATCH] IPv6: optimize echo reply checksum calculation

From: Al Viro <[email-masked]>
Date: Fri, 10 Nov 2006 17:34:22 +0000

On Fri, Nov 10, 2006 at 11:25:53AM -0500, Brian Haley wrote:
> Since the only difference between echo requests and echo replies is the 
> ICMPv6 type value (which is a difference of 1), just subtracting one 
> from the request checksum will result in the correct checksum for the reply.

Um, no.  That will *not* result in correct checksum.  Please, RTFRFC 1071.